import { computed, inject, provide } from 'vue';
import { useBlogCategory } from 'vuepress-plugin-blog2/lib/client';
export const tagMapSymbol = Symbol.for('tags');
export const useTagMap = () => {
    const tagMap = inject(tagMapSymbol);
    if (!tagMap) {
        throw new Error('useTagMap() is called without provider.');
    }
    return tagMap;
};
export const setupTags = () => {
    const tagMap = useBlogCategory('tag');
    provide(tagMapSymbol, tagMap);
};
export const useTags = () => {
    const tagMap = useTagMap();
    const tags = computed(() => {
        const tags = [];
        for (const tag in tagMap.value.map) {
            tags.push({
                name: tag,
                pages: tagMap.value.map[tag].items,
                path: tagMap.value.map[tag].path,
            });
        }
        return tags;
    });
    return tags;
};
