"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlugins = void 0;
const plugin_nprogress_1 = require("@vuepress/plugin-nprogress");
const plugin_palette_1 = require("@vuepress/plugin-palette");
const plugin_prismjs_1 = require("@vuepress/plugin-prismjs");
const plugin_theme_data_1 = require("@vuepress/plugin-theme-data");
const vuepress_plugin_md_enhance_1 = require("vuepress-plugin-md-enhance");
const vuepress_plugin_way_player_1 = require("vuepress-plugin-way-player");
const blog_1 = require("./blog");
const getPlugins = (plugins, localeOptions) => {
    const pluginConfig = [
        // @vuepress/plugin-nprogress
        plugins.nprogress !== false ? (0, plugin_nprogress_1.nprogressPlugin)() : [],
        // @vuepress/plugin-palette
        (0, plugin_palette_1.palettePlugin)({ preset: 'sass' }),
        // @vuepress/plugin-prismjs
        (0, plugin_prismjs_1.prismjsPlugin)(),
        // @vuepress/plugin-theme-data
        (0, plugin_theme_data_1.themeDataPlugin)({ themeData: localeOptions }),
        // vuepress-plugin-blog2
        (0, blog_1.getBlogPlugin)(localeOptions, plugins.blog),
        (0, vuepress_plugin_way_player_1.wayPlayerPlugin)(),
        // md增强
        (0, vuepress_plugin_md_enhance_1.mdEnhancePlugin)({
            // 启用任务列表
            tasklist: true,
            // 添加选项卡支持
            tabs: true,
            // 代码块分组
            codetabs: true,
            // 启用下角标功能
            sub: true,
            // 启用上角标
            sup: true,
            // 启用脚注
            footnote: true,
            // 开启标记
            mark: true,
            // 启用图片标记
            imageMark: true,
            // 启用图片大小
            imageSize: true,
            // 启用自定义对齐
            align: true,
            // 启用自定义容容器
            container: true,
        }),
        // themeWayWaline({
        //   serverURL: 'https://theme-way-waline-2e8axyq7o-waynian.vercel.app',
        // }),
    ];
    return pluginConfig;
};
exports.getPlugins = getPlugins;
