"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wayTheme = void 0;
// import { themeDataPlugin } from '@vuepress/plugin-theme-data'
const utils_1 = require("@vuepress/utils");
const plugins_1 = require("./plugins");
const utils_2 = require("./utils");
const wayTheme = ({ themePlugins = {}, ...localeOptions } = {}) => {
    (0, utils_2.assignDefaultLocaleOptions)(localeOptions);
    return {
        name: 'vupress-theme-way',
        layouts: utils_1.path.resolve(__dirname, '../client/layouts'),
        templateBuild: utils_1.path.resolve(__dirname, '../../templates/build.html'),
        // use alias to make all components replaceable
        alias: Object.fromEntries(utils_1.fs
            .readdirSync(utils_1.path.resolve(__dirname, '../client/components'))
            .filter((file) => file.endsWith('.vue'))
            .map((file) => [
            `@theme/${file}`,
            utils_1.path.resolve(__dirname, '../client/components', file),
        ])),
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
        extendsPage: (page) => {
            // save relative file path into page data to generate edit link
            page.data.filePathRelative = page.filePathRelative;
            // save title into route meta to generate navbar and sidebar
            page.routeMeta.title = page.title;
        },
        plugins: (0, plugins_1.getPlugins)(themePlugins, localeOptions),
        onInitialized: async (app) => {
            (0, utils_2.createPages)(app, localeOptions);
        },
    };
};
exports.wayTheme = wayTheme;
